<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/FlareSimulation.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d3b/_flare_simulation_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FlareSimulation.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d3b/_flare_simulation_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a95262aa0e14721443e0e0305d1687aa4">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d89/class_flare_simulation.html">FlareSimulation</a> : <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">    3</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a>          <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>       <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">m_BurningSound</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">    6</a></span>    <span class="keyword">const</span> <span class="keyword">static</span> <span class="keywordtype">float</span>          <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">MAX_FARLIGHT_DIST</a> = 40;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">    7</a></span>    <span class="keyword">const</span> <span class="keyword">static</span> <span class="keywordtype">float</span>          <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">MIN_FARLIGHT_DIST</a> = 5; </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">    9</a></span>    <span class="keyword">static</span> ref <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>      <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">m_NoisePar</a>; <span class="comment">// Contains the noise data ( template and strength )</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">   10</a></span>    <span class="keywordtype">float</span>                       <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">m_LastNoiseTime</a> = -1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">   11</a></span>    <span class="keywordtype">float</span>                       <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">m_NoiseTimer</a> = 0;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#ae488f187840b9f774b9d3143cd980979">   12</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ae488f187840b9f774b9d3143cd980979">NOISE_DELAY</a> = 5; <span class="comment">// How much time between two consecutive noise pings</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">   14</a></span>    <span class="keyword">static</span> <span class="keyword">protected</span> <span class="keyword">typename</span>   <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">m_ScriptedLight</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">   15</a></span>    <span class="keyword">static</span> <span class="keyword">protected</span> <span class="keywordtype">int</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">m_ParticleId</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a9bc7274330243f06a1709ca512a63201">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a9bc7274330243f06a1709ca512a63201">FlareSimulation</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">m_ScriptedLight</a>  = <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">m_ParticleId</a>     = <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a8cb1c8e4cf578d99d4c067b3d05487ef">FLAREPROJ_ACTIVATE</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a9c0cc0032b46473535a318b667607ffa">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a9c0cc0032b46473535a318b667607ffa">OnActivation</a>(<a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> flare)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a> = <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a>.Cast( <a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>.CreateLight( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">m_ScriptedLight</a>, <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(0,0,0) ) );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a> )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a>.AttachOnObject( flare );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#ae9d5642dc992c942c1ae2f221e064921">Stop</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a> = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayOnObject( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">m_ParticleId</a>, flare );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a1684ce266800c5b4297d6be685da14bf">SetWiggle</a>( 7, 0.3 );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            flare.PlaySoundSetLoop( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">m_BurningSound</a>, <span class="stringliteral">&quot;roadflareLoop_SoundSet&quot;</span>, 0, 0 );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="comment">// Create and load noise parameters</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">m_NoisePar</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">m_NoisePar</a>.LoadFromPath(<span class="stringliteral">&quot;cfgWeapons Flaregun_Base NoiseFlare&quot;</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a92f74660c99a703c64f9936e443ae11b">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a92f74660c99a703c64f9936e443ae11b">OnTermination</a>(<a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> flare)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="comment">//MiscGameplayFunctions.GenerateAINoiseAtPosition(flare.GetPosition(), NOISE_DELAY, m_NoisePar);</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#ab3d5fdb6a9ffa2e6bede12fae510aac6">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#ab3d5fdb6a9ffa2e6bede12fae510aac6">OnFire</a>( <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> flare)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="comment">//m_ParMainFire = ParticleManager.GetInstance().PlayOnObject( ParticleList.FLAREPROJ_FIRE, flare);</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="comment">//m_ParMainFire.SetWiggle( 7, 0.3);</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#ae91feea70480d21a6c7550526f0b428a">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#ae91feea70480d21a6c7550526f0b428a">Simulate</a>( <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> flare )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        DayZPlayer player = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a98e334b5640f57fa731546a0ba86b3be">GetPlayer</a>();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( player )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> playerPos = player.GetPosition();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordtype">float</span> dist = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(flare.GetPosition(), playerPos);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> ( ( dist &lt;= <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">MAX_FARLIGHT_DIST</a> * <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">MAX_FARLIGHT_DIST</a> ) &amp;&amp; ( dist &gt; <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">MIN_FARLIGHT_DIST</a> * <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">MIN_FARLIGHT_DIST</a> ) )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">SetParameter</a>( 0, <a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.SIZE, MiscGameplayFunctions.Normalize(dist, <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">MAX_FARLIGHT_DIST</a> * <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">MAX_FARLIGHT_DIST</a>) );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> ( dist &lt;= <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">MIN_FARLIGHT_DIST</a> * <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">MIN_FARLIGHT_DIST</a> )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a5bc47a50e0a78fd546ab9f7e8c8ad35c">TurnOffDistantLight</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="comment">//CastFlareAINoise( flare.GetPosition() );</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a5095f94bf17920b352ecb6e8794dd1dd">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a5095f94bf17920b352ecb6e8794dd1dd">CastFlareAINoise</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">m_LastNoiseTime</a> &lt; 0 )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">m_LastNoiseTime</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">GetTime</a>() * 0.0033;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordtype">float</span> delta_time = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">GetTime</a>() * 0.0033 - <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">m_LastNoiseTime</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">m_LastNoiseTime</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">GetTime</a>() * 0.0033;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">m_NoiseTimer</a> += delta_time;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">m_NoiseTimer</a> &gt;= <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ae488f187840b9f774b9d3143cd980979">NOISE_DELAY</a> )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            MiscGameplayFunctions.GenerateAINoiseAtPosition(position, <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ae488f187840b9f774b9d3143cd980979">NOISE_DELAY</a>, <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">m_NoisePar</a>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">m_NoiseTimer</a> = 0;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a5bc47a50e0a78fd546ab9f7e8c8ad35c">   94</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a5bc47a50e0a78fd546ab9f7e8c8ad35c">TurnOffDistantLight</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">SetParameter</a>(0, <a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.LIFETIME, 0);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">SetParameter</a>(0, <a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.LIFETIME_RND, 0);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">SetParameter</a>(0, <a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.REPEAT, 0);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">SetParameter</a>(0, <a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.SIZE, 0);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d5/d89/class_flare_simulation.html#a26f91f337498f42b223d8ab888b4c474">  105</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d89/class_flare_simulation.html#a26f91f337498f42b223d8ab888b4c474">~FlareSimulation</a>()</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">m_ParMainFire</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#ae9d5642dc992c942c1ae2f221e064921">Stop</a>();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">m_BurningSound</a>)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">m_BurningSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">SoundStop</a>();</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a>)</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">m_FlareLight</a>.FadeOut();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>}</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="keyword">class </span><a class="code hl_function" href="../../dd/d3b/_flare_simulation_8c.html#a46e13bafb2874db34fc112e861e644aa">FlareSimulation_Red</a> : <a class="code hl_class" href="../../d5/d89/class_flare_simulation.html">FlareSimulation</a></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>{</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3b/_flare_simulation_8c.html#a46e13bafb2874db34fc112e861e644aa">FlareSimulation_Red</a>()</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a915be1f2ac9cd8986da5313a17d5ea2a">  121</a></span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a7c62635efb7628d7a33fbbd4e6e52d07">  122</a></span>        <a class="code hl_variable" href="../../dd/d3b/_flare_simulation_8c.html#a74d14b7c57dc6b1957d2e9abce569299">m_ScriptedLight</a>  = <a class="code hl_class" href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#abc23bd7a8bdaa65b21933bef2e28a9c9">  123</a></span>        <a class="code hl_variable" href="../../dd/d3b/_flare_simulation_8c.html#aae0e58f338e1f6c0361bba2483a6ce2c">m_ParticleId</a>     = <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#aeaa486928cd998ea988cbca6a4ca7c00">FLAREPROJ_ACTIVATE_RED</a>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#ae948e8de827412cae57ea4210868b355">  124</a></span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a0183e787b6c513a323e9ae44dc8cf9d7">  125</a></span>}</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a5da08e43b3e60e582d6c7c61d0484a85">  127</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/ddf/class_flare_simulation___green.html">FlareSimulation_Green</a> : <a class="code hl_class" href="../../d5/d89/class_flare_simulation.html">FlareSimulation</a></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a86e1f0c51d9f3f8e5fde7e2b257abc49">  128</a></span>{</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../d2/ddf/class_flare_simulation___green.html#a8fd2563edca94d4d0998d12c692d7128">  129</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/ddf/class_flare_simulation___green.html#a8fd2563edca94d4d0998d12c692d7128">FlareSimulation_Green</a>()</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a62b10ebe9bc403a697f6700d200d6ebe">  130</a></span>    {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">m_ScriptedLight</a>  = <a class="code hl_function" href="../../d7/d9d/_flare_light_8c.html#a1588867af565745d45ae13d858346155">FlareLightGreen</a>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a74d14b7c57dc6b1957d2e9abce569299">  132</a></span>        <a class="code hl_variable" href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">m_ParticleId</a>     = <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a7ecb567a3e7d269dfc25f45986843926">FLAREPROJ_ACTIVATE_GREEN</a>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#aae0e58f338e1f6c0361bba2483a6ce2c">  133</a></span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>}</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a53e70c3795f499a796b5b9e608ba62af">  135</a></span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="keyword">class </span><a class="code hl_function" href="../../dd/d3b/_flare_simulation_8c.html#a95262aa0e14721443e0e0305d1687aa4">FlareSimulation_Blue</a> : <a class="code hl_class" href="../../d5/d89/class_flare_simulation.html">FlareSimulation</a></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>{</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d3b/_flare_simulation_8c.html#a95262aa0e14721443e0e0305d1687aa4">FlareSimulation_Blue</a>()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#aa3e2c92fdd2d9cad8124228b488d8ce6">  139</a></span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_variable" href="../../dd/d3b/_flare_simulation_8c.html#a74d14b7c57dc6b1957d2e9abce569299">m_ScriptedLight</a>  = <a class="code hl_function" href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">FlareLightBlue</a>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../dd/d3b/_flare_simulation_8c.html#a490c6df292994b53a95abae645c0cb96">  141</a></span>        <a class="code hl_variable" href="../../dd/d3b/_flare_simulation_8c.html#aae0e58f338e1f6c0361bba2483a6ce2c">m_ParticleId</a>     = <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ac465616e229386e85026d16785729e70">FLAREPROJ_ACTIVATE_BLUE</a>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>}</div>
<div class="ttc" id="a_flare_light_8c_html_a1588867af565745d45ae13d858346155"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a1588867af565745d45ae13d858346155">FlareLightGreen</a></div><div class="ttdeci">void FlareLightGreen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00057">FlareLight.c:57</a></div></div>
<div class="ttc" id="a_flare_light_8c_html_a86c3dcae7e6f39a6d3c5194ac5ecc7c8"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">FlareLightBlue</a></div><div class="ttdeci">class FlareLightGreen extends FlareLight FlareLightBlue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00045">FlareLight.c:56</a></div></div>
<div class="ttc" id="a_flare_simulation_8c_html_a46e13bafb2874db34fc112e861e644aa"><div class="ttname"><a href="../../dd/d3b/_flare_simulation_8c.html#a46e13bafb2874db34fc112e861e644aa">FlareSimulation_Red</a></div><div class="ttdeci">FlareSimulation Entity FlareSimulation_Red()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00001">FlareSimulation.c:120</a></div></div>
<div class="ttc" id="a_flare_simulation_8c_html_a74d14b7c57dc6b1957d2e9abce569299"><div class="ttname"><a href="../../dd/d3b/_flare_simulation_8c.html#a74d14b7c57dc6b1957d2e9abce569299">m_ScriptedLight</a></div><div class="ttdeci">static protected m_ScriptedLight</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00132">FlareSimulation.c:132</a></div></div>
<div class="ttc" id="a_flare_simulation_8c_html_a95262aa0e14721443e0e0305d1687aa4"><div class="ttname"><a href="../../dd/d3b/_flare_simulation_8c.html#a95262aa0e14721443e0e0305d1687aa4">FlareSimulation_Blue</a></div><div class="ttdeci">FlareSimulation_Green FlareSimulation FlareSimulation_Blue()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00001">FlareSimulation.c:138</a></div></div>
<div class="ttc" id="a_flare_simulation_8c_html_aae0e58f338e1f6c0361bba2483a6ce2c"><div class="ttname"><a href="../../dd/d3b/_flare_simulation_8c.html#aae0e58f338e1f6c0361bba2483a6ce2c">m_ParticleId</a></div><div class="ttdeci">static protected int m_ParticleId</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00133">FlareSimulation.c:133</a></div></div>
<div class="ttc" id="a_noise_8c_html_aceda78b4f4625e1c9901f7bf4a7f5cf0"><div class="ttname"><a href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a></div><div class="ttdeci">class NoiseSystem NoiseParams()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:15</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="aclass_c_game_html_a98e334b5640f57fa731546a0ba86b3be"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a98e334b5640f57fa731546a0ba86b3be">CGame::GetPlayer</a></div><div class="ttdeci">proto native DayZPlayer GetPlayer()</div></div>
<div class="ttc" id="aclass_c_game_html_aaef5e82614e886a86023cbdc7e85ca47"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">CGame::GetTime</a></div><div class="ttdeci">proto int GetTime()</div><div class="ttdoc">returns mission time in milliseconds</div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_afb3e761198a4167f611442d60925e1e7"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">EffectSound::SoundStop</a></div><div class="ttdeci">void SoundStop()</div><div class="ttdoc">Stops sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00211">EffectSound.c:211</a></div></div>
<div class="ttc" id="aclass_entity_html"><div class="ttname"><a href="../../d2/d96/class_entity.html">Entity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcc/_camera_8c_source.html#l00001">Camera.c:2</a></div></div>
<div class="ttc" id="aclass_flare_light_html"><div class="ttname"><a href="../../db/db6/class_flare_light.html">FlareLight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00045">FlareLight.c:46</a></div></div>
<div class="ttc" id="aclass_flare_light_red_html"><div class="ttname"><a href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00063">FlareLight.c:64</a></div></div>
<div class="ttc" id="aclass_flare_simulation___green_html"><div class="ttname"><a href="../../d2/ddf/class_flare_simulation___green.html">FlareSimulation_Green</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00127">FlareSimulation.c:128</a></div></div>
<div class="ttc" id="aclass_flare_simulation___green_html_a8fd2563edca94d4d0998d12c692d7128"><div class="ttname"><a href="../../d2/ddf/class_flare_simulation___green.html#a8fd2563edca94d4d0998d12c692d7128">FlareSimulation_Green::FlareSimulation_Green</a></div><div class="ttdeci">void FlareSimulation_Green()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00129">FlareSimulation.c:129</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html">FlareSimulation</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00001">FlareSimulation.c:2</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a05942629b2e3d3eeb044db8d32aa13b1"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a05942629b2e3d3eeb044db8d32aa13b1">FlareSimulation::m_NoiseTimer</a></div><div class="ttdeci">float m_NoiseTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00011">FlareSimulation.c:11</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a26f91f337498f42b223d8ab888b4c474"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a26f91f337498f42b223d8ab888b4c474">FlareSimulation::~FlareSimulation</a></div><div class="ttdeci">void ~FlareSimulation()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00105">FlareSimulation.c:105</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a4cac772619c275c63b3700d9ee1f0ba9"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a4cac772619c275c63b3700d9ee1f0ba9">FlareSimulation::MAX_FARLIGHT_DIST</a></div><div class="ttdeci">static const float MAX_FARLIGHT_DIST</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00006">FlareSimulation.c:6</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a5095f94bf17920b352ecb6e8794dd1dd"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a5095f94bf17920b352ecb6e8794dd1dd">FlareSimulation::CastFlareAINoise</a></div><div class="ttdeci">void CastFlareAINoise(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00076">FlareSimulation.c:76</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a5162e86f780da430269126db101b2c33"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a5162e86f780da430269126db101b2c33">FlareSimulation::m_FlareLight</a></div><div class="ttdeci">protected FlareLight m_FlareLight</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00005">FlareSimulation.c:5</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a5bc47a50e0a78fd546ab9f7e8c8ad35c"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a5bc47a50e0a78fd546ab9f7e8c8ad35c">FlareSimulation::TurnOffDistantLight</a></div><div class="ttdeci">void TurnOffDistantLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00094">FlareSimulation.c:94</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a765110f996503690a55a6e8c51c372e5"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a765110f996503690a55a6e8c51c372e5">FlareSimulation::m_NoisePar</a></div><div class="ttdeci">static ref NoiseParams m_NoisePar</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00009">FlareSimulation.c:9</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a801ad4a33f2b19ba9b6d21b68f011495"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a801ad4a33f2b19ba9b6d21b68f011495">FlareSimulation::m_LastNoiseTime</a></div><div class="ttdeci">float m_LastNoiseTime</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00010">FlareSimulation.c:10</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a92f74660c99a703c64f9936e443ae11b"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a92f74660c99a703c64f9936e443ae11b">FlareSimulation::OnTermination</a></div><div class="ttdeci">void OnTermination(Entity flare)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00048">FlareSimulation.c:48</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a94d7253c9526eda5f2ae999ac5ad9710"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a94d7253c9526eda5f2ae999ac5ad9710">FlareSimulation::m_BurningSound</a></div><div class="ttdeci">protected EffectSound m_BurningSound</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00004">FlareSimulation.c:4</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a9bc7274330243f06a1709ca512a63201"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a9bc7274330243f06a1709ca512a63201">FlareSimulation::FlareSimulation</a></div><div class="ttdeci">void FlareSimulation()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00017">FlareSimulation.c:17</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_a9c0cc0032b46473535a318b667607ffa"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#a9c0cc0032b46473535a318b667607ffa">FlareSimulation::OnActivation</a></div><div class="ttdeci">void OnActivation(Entity flare)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00023">FlareSimulation.c:23</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_ab2730e538de80335129afaf2cff1870f"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#ab2730e538de80335129afaf2cff1870f">FlareSimulation::m_ParMainFire</a></div><div class="ttdeci">protected Particle m_ParMainFire</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00003">FlareSimulation.c:3</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_ab376a8f4cdf7a0fb28a9cef37992737b"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#ab376a8f4cdf7a0fb28a9cef37992737b">FlareSimulation::MIN_FARLIGHT_DIST</a></div><div class="ttdeci">static const float MIN_FARLIGHT_DIST</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00007">FlareSimulation.c:7</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_ab3d5fdb6a9ffa2e6bede12fae510aac6"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#ab3d5fdb6a9ffa2e6bede12fae510aac6">FlareSimulation::OnFire</a></div><div class="ttdeci">void OnFire(Entity flare)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00053">FlareSimulation.c:53</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_abc5769c8bbd1a3bb11c7f8f6ee2aa98e"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#abc5769c8bbd1a3bb11c7f8f6ee2aa98e">FlareSimulation::m_ParticleId</a></div><div class="ttdeci">static protected int m_ParticleId</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00015">FlareSimulation.c:15</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_ae488f187840b9f774b9d3143cd980979"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#ae488f187840b9f774b9d3143cd980979">FlareSimulation::NOISE_DELAY</a></div><div class="ttdeci">const float NOISE_DELAY</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00012">FlareSimulation.c:12</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_ae91feea70480d21a6c7550526f0b428a"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#ae91feea70480d21a6c7550526f0b428a">FlareSimulation::Simulate</a></div><div class="ttdeci">void Simulate(Entity flare)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00059">FlareSimulation.c:59</a></div></div>
<div class="ttc" id="aclass_flare_simulation_html_af30b3096d87200887272144ec120f3ed"><div class="ttname"><a href="../../d5/d89/class_flare_simulation.html#af30b3096d87200887272144ec120f3ed">FlareSimulation::m_ScriptedLight</a></div><div class="ttdeci">static protected m_ScriptedLight</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/_flare_simulation_8c_source.html#l00014">FlareSimulation.c:14</a></div></div>
<div class="ttc" id="aclass_particle_html"><div class="ttname"><a href="../../de/d85/class_particle.html">Particle</a></div><div class="ttdoc">Legacy way of using particles in the game.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00006">Particle.c:7</a></div></div>
<div class="ttc" id="aclass_particle_html_a1684ce266800c5b4297d6be685da14bf"><div class="ttname"><a href="../../de/d85/class_particle.html#a1684ce266800c5b4297d6be685da14bf">Particle::SetWiggle</a></div><div class="ttdeci">void SetWiggle(float random_angle, float random_interval)</div><div class="ttdoc">Makes the particle change direction by random_angle every random_interval seconds.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00765">Particle.c:765</a></div></div>
<div class="ttc" id="aclass_particle_html_a9b937645c781f2112e86556633ee5210"><div class="ttname"><a href="../../de/d85/class_particle.html#a9b937645c781f2112e86556633ee5210">Particle::SetParameter</a></div><div class="ttdeci">void SetParameter(int emitter, int parameter, float value)</div><div class="ttdoc">Set the value of a parameter of an emitor in the particle.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00625">Particle.c:625</a></div></div>
<div class="ttc" id="aclass_particle_html_ae9d5642dc992c942c1ae2f221e064921"><div class="ttname"><a href="../../de/d85/class_particle.html#ae9d5642dc992c942c1ae2f221e064921">Particle::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdoc">Legacy function for backwards compatibility with 1.14 and below.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00266">Particle.c:266</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a7ecb567a3e7d269dfc25f45986843926"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a7ecb567a3e7d269dfc25f45986843926">ParticleList::FLAREPROJ_ACTIVATE_GREEN</a></div><div class="ttdeci">static const int FLAREPROJ_ACTIVATE_GREEN</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00091">ParticleList.c:91</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a8cb1c8e4cf578d99d4c067b3d05487ef"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a8cb1c8e4cf578d99d4c067b3d05487ef">ParticleList::FLAREPROJ_ACTIVATE</a></div><div class="ttdeci">static const int FLAREPROJ_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00089">ParticleList.c:89</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ac465616e229386e85026d16785729e70"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ac465616e229386e85026d16785729e70">ParticleList::FLAREPROJ_ACTIVATE_BLUE</a></div><div class="ttdeci">static const int FLAREPROJ_ACTIVATE_BLUE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00092">ParticleList.c:92</a></div></div>
<div class="ttc" id="aclass_particle_list_html_aeaa486928cd998ea988cbca6a4ca7c00"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#aeaa486928cd998ea988cbca6a4ca7c00">ParticleList::FLAREPROJ_ACTIVATE_RED</a></div><div class="ttdeci">static const int FLAREPROJ_ACTIVATE_RED</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00090">ParticleList.c:90</a></div></div>
<div class="ttc" id="aclass_scripted_light_base_html"><div class="ttname"><a href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_point_light_base_8c_source.html#l00001">PointLightBase.c:2</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
<div class="ttc" id="agroup___particle_effect_html_gae0fed29d09aa06a8ca33de9f2b039e4b"><div class="ttname"><a href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a></div><div class="ttdeci">EmitorParam</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d12/_en_visual_8c_source.html#l00113">EnVisual.c:114</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dd/d3b/_flare_simulation_8c.html">FlareSimulation.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
